{% extends 'base.html.twig' %}

{% set bitValue = key | slice(bit, 1) == '1' %}

{% block head %}
    {% if bitValue or read %}
        <link rel="icon" type="image/png" href="{{ path('icon', {'salt': salt, 'bit': bit}) }}"/>
    {% endif %}
{% endblock %}

{% block body %}
    <h1>Mode: {{ read ? 'Read' : 'Write' }}</h1>
    <div>Bit: {{ bit }}</div>
    {% if not read %}
        <div>Key: {{ key }}</div>
        <div>Bit Value: {{ bitValue ? 'true' : 'false' }}</div>
    {% endif %}

    {% if final %}
        {% set address = read ? path('finished-reading') : path('finished-writing') %}
    {% else %}
        {% set address = path('redirection', {'key': key, 'bit': bit + 1}) %}
    {% endif %}

    <script>
        setTimeout(() => {
            window.location.href = '{{ address }}';
        }, 1000);
    </script>
{% endblock %}
